Qt 5.9 | Qt Help | C++ Classes | QHelpSearchQuery

Qt 5.9.9 Reference Documentation

# QHelpSearchQuery Class

The QHelpSearchQuery class contains the field name and the associated search term More...

Header: | #include <QHelpSearchQuery>
qmake: | QT += help
Since: | Qt 4.4

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members
- Obsolete members

## Public Functions

| QHelpSearchQuery()
| QHelpSearchQuery(FieldName field, const QStringList &wordList)

## Detailed Description

The QHelpSearchQuery class contains the field name and the associated search term

The QHelpSearchQuery class contains the field name and the associated search term. Depending on the field the search term might get split up into separate terms to be parsed differently by the search engine.

Note: This class has been deprecated in favor of QString.

See also QHelpSearchQueryWidget.

## Member Function Documentation

### QHelpSearchQuery::QHelpSearchQuery()

Constructs a new empty QHelpSearchQuery.

### QHelpSearchQuery::QHelpSearchQuery(FieldName field, const QStringList &wordList)

Constructs a new QHelpSearchQuery and initializes it with the given field and wordList.